| Classes - Annotated - Tree - Functions - Home - Structure

# QFilePreview Class Reference

Abstract preview widget for the QFileDialog More...

`#include <qfiledialog.h>`

List of all member functions.

## Public Members

- QFilePreview ()
- virtual void previewUrl ( const QUrl & url )

## Detailed Description

Abstract preview widget for the QFileDialog

This class is an abstract base class which is used for implementing widgets which can display a preview of a file in the QFileDialog.

If you want to do that you have to derive your preview widget from any QWidget and from this class. Then you have to reimplement the previewUrl() method of this class which is called by the filedialog if the preview of an URL should be shown.

See also QFileDialog::setPreviewMode(), QFileDialog::setContentsPreview(), QFileDialog::setInfoPreview(), QFileDialog::setInfoPreviewEnabled(), QFileDialog::setContentsPreviewEnabled().

For an example documentation of a preview widget look at the example qt/examples/qdir/qdir.cpp.

## Member Function Documentation

### QFilePreview::QFilePreview ()

Constructor. Does nothing.

### void QFilePreview::previewUrl ( const QUrl & url ) `[virtual]`

This method is called by QFileDialog if a preview for the url should be shown. Reimplement this method to do file/URL previews.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.